Name:		clustermines
Version:	0.7.3
Release:	%mkrel 1
License:	GPLv3
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Games/Logic
URL:		http://clustermines.sourceforge.net/
Source0:	%{name}.jar
Source1:	%{name}.png
Summary:	 Minesweeper in Java!
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description

Yet another Java implementation for the addictive Minesweeper game. 
This game comes with a number of options unavailable in Windows's version, such as allowing more than one mines in a square.
See project web site for a list of features.

%prep

#%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp %SOURCE0 %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar %{name}.jar 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=Clustermines
GenericName=Minesweeper made in Java!
Comment=%{summary}
StartupNotify=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Sep 04 2014  Agent Smith <ruidobranco@yahoo.com.br> 0.7.3-1pclos2014
- Created the package clustermines-0.7.3-1pclos2014.noarch.rpm, with latest source.
